Model API Pages
ElevenLabs Turbo 2.5 API Integration
ElevenLabs Turbo 2.5 کو Rivya Public API v1 کے ذریعے model id elevenlabs-turbo-2-5، supported inputs، parameters، Files API rules، credits اور response examples کے ساتھ استعمال کریں۔
API کے ذریعے availableText input readyAudio
API model id
elevenlabs-turbo-2-5
Inputs
text
Files API
Minimal request کے لیے required نہیں
Base credits
6
Capability
Audio
Billing
METERED
Prompt limit
5000 characters
Request contract
model id کو top level پر بھیجیں۔ Model-specific controls params میں رہتے ہیں۔
| Key | Type | Required | Default | Description |
|---|---|---|---|---|
| model | string | Yes | elevenlabs-turbo-2-5 | elevenlabs-turbo-2-5 API model id استعمال کریں۔ |
| prompt | string | Yes | - | اس model کے لیے زیادہ سے زیادہ 5000 characters۔ |
| params | object | Yes | - | Model-specific parameter object۔ allowed keys کے لیے نیچے والی rows استعمال کریں۔ |
| client_request_id | string | No | - | آپ کے system میں requests trace کرنے کے لیے optional client-side id۔ |
Model parameters
| Key | Type | Required | Default | Range | Options | Description |
|---|---|---|---|---|---|---|
| voice | select | Yes | TX3LPaxmHKxFdv7VOQHJ | - | TX3LPaxmHKxFdv7VOQHJ, cgSgspJ2msm6clMCkdW9, pNInz6obpgDQGcFmaJgB, BIvP0GN1cAtSRTxNHnWS, aMSt68OGf4xUZAnLpTU8 | آواز |
| stability | number | No | 0.5 | min 0 / max 1 / step 0.05 | - | استحکام |
| similarity_boost | number | No | 0.75 | min 0 / max 1 / step 0.05 | - | مشابہت میں اضافہ |
| style | number | No | 0 | min 0 / max 1 / step 0.05 | - | انداز |
| speed | number | No | 1 | min 0.7 / max 1.2 / step 0.05 | - | رفتار |
| timestamps | select | No | false | - | false, true | ٹائم اسٹیمپس |
| previous_text | text | No | - | - | - | پچھلا متن |
| next_text | text | No | - | - | - | اگلا متن |
| language_code | text | No | - | - | - | زبان کا کوڈ |
Minimal request
{
"model": "elevenlabs-turbo-2-5",
"prompt": "A polished audio concept for a short product story",
"params": {
"voice": "TX3LPaxmHKxFdv7VOQHJ",
"stability": 0.5,
"similarity_boost": 0.75,
"style": 0,
"speed": 1,
"timestamps": "false",
"previous_text": "اختیاری context اس line سے پہلے",
"next_text": "اختیاری context اس line کے بعد",
"language_code": "اختیاری locale code جیسے en یا zh"
}
}Create response
create endpoint ایک public task id واپس کرتا ہے۔ task succeeded یا failed ہونے تک status endpoint poll کریں۔
{
"id": "task_elevenlabs_turbo_2_5_example",
"status": "queued",
"model": "elevenlabs-turbo-2-5",
"reserved_credits": 6,
"final_credits": 0,
"created_at": "2026-05-11T00:00:00.000Z",
"updated_at": "2026-05-11T00:00:00.000Z",
"result": null,
"error": null
}Common errors
validation_failed, insufficient_credits, idempotency_conflict, rate_limited, not_found
create endpoint ایک public task id واپس کرتا ہے۔ task succeeded یا failed ہونے تک status endpoint poll کریں۔